import { Float } from './float.js';
import type { NullableOrNot, ValidationError } from './index.js';
export declare abstract class Int<Nullable extends boolean = false> extends Float<Nullable> {
    protected fromInput(): NullableOrNot<number, Nullable>;
    getErrors(name: string): ValidationError[] | undefined;
}
