import { type NullableOrNot, type ValidationError, ValueObject } from './index.js';
export declare abstract class Url<Nullable extends boolean = false> extends ValueObject<NullableOrNot<string, Nullable>, NullableOrNot<string, Nullable>> {
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
